The Delivery Group UK offers domestic and international services for shipments originating in the UK.
This guide provides developers with the details needed to build The Delivery Group UK shipping capabilities into your ShipStation API workflows.
| Property | Type | Required? | Description |
|---|---|---|---|
nickname | string | required | Used to identify your account in ShipStation API |
client_name | string | required | Your Delivery Group UK account client name |
username | string | required | Your Delivery Group UK account username |
password | string | required | Your Delivery Group UK account password |
- All shipments require both weight and dimensions.
You can connect a The Delivery Group UK account using the POST method to the /v1/connections/carriers/ endpoint, or via the ShipStation API Dashboard.
carrier_name: the_delivery_group_uk
POST /v1/connections/carriers/:carrier_name
Sample request:
POST /v1/connections/carriers/the_delivery_group_uk HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"nickname": "My The Delivery Group UK account",
"client_name": "account client name,
"username": "account username",
"password": "pa55word"
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
Steps to connect via dashboard coming soon!
The Delivery Group UK does not currently support rate shopping with ShipStation API. Your account contact can provide you with details about your contracted rates.
Services available with The Delivery Group UK are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
| Service | API Code |
|---|---|
| DSA Large Letter | tdg_dsa_large_letter |
| DSA Packet | tdg_dsa_packet |
| Utrak No Tracking | tdg_utrak_no_tracking |
| Utrak | tdg_utrak |
| Yodel Expect 24hr | tdg_yodel_expect_24hr |
| Yodel Expect 24hr Non POD | tdg_yodel_expect_24h_non_pod |
| Yodel Expect 48hr | tdg_yodel_expect_48hr |
| Yodel Expect 48hr Non POD | tdg_yodel_expect_48hr_non_pod |
| Yodel Expect Medium 24hr | tdg_yodel_expect_medium_24hr |
| Yodel Expect Medium 24hr Non POD | tdg_yodel_expect_medium_24hr_non_pod |
| Yodel Expect Medium 48hr | tdg_yodel_expect_medium_48hr |
| Yodel Expect Medium 48hr Non POD | tdg_yodel_expect_medium_48hr_non_pod |
| Yodel Expect Mini 48hr Non POD | tdg_yodel_expect_mini_48hr_non_pod |
| Yodel Expect Mini 48hr | tdg_yodel_expect_mini_48hr |
| Yodel Expect XL | tdg_yodel_expect_xl |
| Yodel Expect XL Non POD | tdg_yodel_expect_xl_nonpod |
| Yodel Express 24hr | tdg_yodel_express_24h |
| Yodel Express 24hr Non POD | tdg_yodel_express_24h_non_pod |
| Yodel Express 48hr | tdg_yodel_express_48h |
| Yodel Express 48hr Non POD | tdg_yodel_express_48h_non_pod |
| Yodel Express Mini 48hr Non POD | tdg_yodel_express_mini_48h_non_pod |
| Utrak Plus | tdg_utrak_plus |
| Yodel Express Mini 24hr | tdg_yodel_express_mini_24hr |
| Yodel Expect Mini 24hr | tdg_yodel_expect_mini_24hr |
| Utrak POD | tdg_utrak_pod |
| Service | API Code |
|---|---|
| Etrak Lite (Epak) | tdg_etrak_lite_epak |
| Etrak (Ontrak) | tdg_etrak_ontrak |
| International Untracked | tdg_international_untracked |
| Yodel Channel Isle | tdg_yodel_channel_isle |
| Yodel Channel Isle Non POD | tdg_yodel_channel_isle_non_pod |
NOTE: Action Required: New Zealand Border Levy Changes
Effective April 1, 2026, a new NZD $2.21 (+ GST) levy applies to low-value air freight consignments entering New Zealand. This levy is charged per consignment, not per item.
See the Shipping to New Zealand: Low Value Goods (LVG) Levy section in International Shipments for full details.
At this time, The Delivery Group UK has not provided any details about required changes when creating labels for shipment from Great Britain to Northern Ireland as related to the Windsor Framework.
We will provide details about using The Delivery Group UK to ship to Northern Ireland as soon as they are available.
The Delivery Group UK does not currently support creating return labels.
The following carrier package types are available for The Delivery Group UK services:
| Name | API Code | Package Attributes |
|---|---|---|
| Package | the_delivery_group_package | International, Domestic |
The Delivery Group UK does not support adding carrier insurance to shipments created with ShipStation API.
- Label sizes: 4" x 6"
- Label formats: PDF, PNG, ZPL
- Supports unicode characters: yes, for CN22 labels only
The Delivery Group UK supports adding custom label messages for the following services only:
- Domestic: Utrak No Tracking, Utrak
- International: Etrak, Etrak Lite, International Untracked
The Delivery Group UK does not support creating multi-package shipments.
The Delivery Group UK does not support label branding.
The Delivery Group UK does not support voiding labels with ShipStation API.
The Delivery Group UK does not support paperless labels.
Customs declarations print directly on the labels for international shipments.
| Confirmation Type | API Code | Description |
|---|---|---|
| No confirmation required | none | No delivery confirmation required. |
See our Delivery Confirmation page for more details about using the confirmation property.
The Delivery Group UK supports certain advanced options, which you can add to the shipment object when creating a shipment or label.
| Option | Type | Default Value | Description |
|---|---|---|---|
delivered_duty_paid | boolean | false | Indicates the shipment is DDP (that is, the shipper is paying the duties/taxes for the shipment rather than the recipient). |
NotificationsEmail | string | null | The carrier will send email tracking notifications to the provided email address. |
NotificationsPhone | string | null | The carrier will send SMS tracking notifications to the provided phone number. |
saturday_delivery | boolean | false | Indicates that the carrier should charge for delivery on Saturday for services that do not otherwise include Saturday delivery. |
To ensure you always have the most up-to-date information about a carrier's advanced options, use the list carrier options call.
The Delivery Group does not require manifesting your shipments.
The Delivery Group UK does not support scheduling pickups using ShipStation API.
The Delivery Group UK does not support shipping to service points.
ShipStation API's integration with The Delivery Group UK supports receiving tracking updates. Review our Track a Package guides for details on tracking with the ShipStation API.
See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipStation API.
NOTE:
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.
Error: Error received from The Delivery Group API: No services could be found for the specified item attributes and destination. If you need clarification, please call The Delivery Group on 020 7732 2000. If you receive this error, it means your selected service is not available to your Delivery Group UK account. Contact Delivery Group UK to have the service enabled, or choose another service.